# Class FiveRenderer

- Defined in lib/five/renderer/five-renderer.ts:16

##### Index

### Constructors

constructor

### Properties

colorRenderTarget
composer
composerVersion
normalRenderTarget
renderMode

### Methods

dispose
render

## Constructors

### constructor

- new FiveRenderer(): FiveRenderer

  #### Returns FiveRenderer

  - Defined in lib/five/renderer/five-renderer.ts:31

## Properties

### colorRenderTarget

colorRenderTarget: WebGLRenderTarget

- Defined in lib/five/renderer/five-renderer.ts:21

### composer

composer: EffectComposer

- Defined in lib/five/renderer/five-renderer.ts:18

### composerVersion

composerVersion: string

- Defined in lib/five/renderer/five-renderer.ts:19

### normalRenderTarget

normalRenderTarget: WebGLRenderTarget

- Defined in lib/five/renderer/five-renderer.ts:22

### renderMode

renderMode: "default" | "ssaa" | "point-cloud-high-quality"

- Defined in lib/five/renderer/five-renderer.ts:24

## Methods

### dispose

- dispose(): void

  #### Returns void

  - Defined in lib/five/renderer/five-renderer.ts:181

### render

- render(
  renderer: WebGLRenderer,
  scene: Scene,
  modelScene: ModelScene,
  camera: Camera,
  sceneUpdated: boolean,
  ): boolean

  #### Parameters

  - renderer: WebGLRenderer
  - scene: Scene
  - modelScene: ModelScene
  - camera: Camera
  - sceneUpdated: boolean

  #### Returns boolean

  - Defined in lib/five/renderer/five-renderer.ts:102